Name:           qwhitesurgtkdecorations
Version:        0.1.0
Release:        1%{?dist}
Summary:        Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations

License:        LGPL-2.1-or-later
URL:            https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations
Source0:        https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations/archive/%{version}/QWhiteSurGtkDecorations-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtwayland
BuildRequires:  qt5-qtsvg
BuildRequires:  qt6-qtwayland
BuildRequires:  qt6-qtsvg

%description
Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package -n qwhitesurgtkdecorations-qt5
Summary:        Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations
Requires:       qt5-qtwayland
Requires:       qt5-qtsvg

%description -n qwhitesurgtkdecorations-qt5
Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package -n qwhitesurgtkdecorations-qt6
Summary:        Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations
Requires:       qt6-qtwayland
Requires:       qt6-qtsvg

%description -n qwhitesurgtkdecorations-qt6
Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%prep
%autosetup -n QWhiteSurGtkDecorations-%{version}

%build
# Build for Qt5
%cmake -B build-qt5 -DCMAKE_INSTALL_PREFIX=%{_prefix} -DHAS_QT6_SUPPORT=true -DUSE_QT6=false
%cmake_build --build build-qt5

# Build for Qt6
%cmake -B build-qt6 -DCMAKE_INSTALL_PREFIX=%{_prefix} -DUSE_QT6=true
%cmake_build --build build-qt6

%install
# Install Qt5 version
%cmake_install --build build-qt5 --prefix=%{buildroot}%{_prefix}

# Install Qt6 version
%cmake_install --build build-qt6 --prefix=%{buildroot}%{_prefix}

%files -n qwhitesurgtkdecorations-qt5
%license LICENSE
%{_libdir}/qt5/plugins
%{_libdir}/qt5/libQWhiteSur*

%files -n qwhitesurgtkdecorations-qt6
%license LICENSE
%{_libdir}/qt6/plugins
%{_libdir}/qt6/libQWhiteSur*

%changelog
* Wed Nov 13 2024 Alexandra Travkina <kodersha@icloud.com> - 0.1.0-1
- Initial package
